﻿@import url('https://fonts.googleapis.com/css2?family=Bricolage+Grotesque:opsz,wght@12..96,200..800&family=Commissioner:wght@100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import "ticFramework.css";

:root
{
    --tdGold: #9b6c3e;
    --lightGrey: #e0e0e0;
    --lightGold: #e5d2bf;
}

body
{
    font-family: 'Commissioner', sans-serif;
    font-size: 17px;
    line-height: 1.3;
    color: #1f1f1f;
}

a
{
    color: var(--tdGold);
}

h1
{
    text-align: center;
    font-size: 2.4em;
    line-height: 1.9;
    font-weight: 400;
}

h1, h2, h3, h4
{
    color: #8f531f;
}

header
{
}

header .upper
{
    background-color: var(--tdGold);
    color: white;
    padding: 5px 0;
    font-size: 0.8em;
}

    header .upper div
    {
        margin: 0 10px;
    }

    header .upper a
    {
        color: white;
    }

    header .upper .icon
    {
        display: inline-block;
        font-size: 1.2em;
        margin: 0 2px;
    }

    header .upper .book a
    {
        display: block;
        border: solid 1px white;
        padding: 3px 15px;
        text-transform: uppercase;
    }
    header .lower
    {
        position: fixed;
        top: 35px;
        left: 0;
        width: 100%;
        z-index: 2;
        transition: all 0.25s ease-in-out, top 0s;
        background: linear-gradient(180deg, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
        padding-bottom: 50px;
    }
        header .lower .logo img
        {
            transition: all 0.25s ease-in-out, top 0s;
            width: 200px;
            margin: 0 10px;
            display: block;
        }

        header .lower.scrolling
        {
            background-color: rgba(0, 0, 0, 0.75);
            padding-bottom: 5px;
        }

            header .lower.scrolling .logo img
            {
                width: 100px;
            }

.slidePanel
{
    position: relative;
}

    .slidePanel .overlay
    {
        position: absolute;
        bottom: 10px;
        left: 0;
        width: 100%;
    }

    .slidePanel h1
    {
        text-align: left;
        color: white;
        text-shadow: 0 0 10px #000, 0 0 20px #000, 0 0 30px #000, 0 0 40px #000, 0 0 50px #000;
        text-transform: uppercase;
        font-size: 3vw;
        margin: 0;
    }

        .slidePanel h1.pageTitleHome
        {
            text-align: center;
        }

@media (max-width: 800px)
{
    header .lower
    {
        justify-content: space-between;
    }

        header .lower .logo img
        {
            width: 120px;
        }

        header .lower.scrolling .logo img
        {
            width: 80px;
        }
}
@media (max-width: 639px)
{
    header .upper .address
    {
        display: none;
    }

    .slidePanel h1
    {
        font-size: 1.2em;
    }
}
@media (max-width: 499px)
{
    .slidePanel .overlay
    {
        position: initial;
    }
    .slidePanel h1
    {
        font-size: 1.2em;
        color: black;
        text-shadow: none;
        margin-top: 10px;
    }
}

.footerTop
{
    background-image: url("../images2/FooterTop2024.png");
    background-position-y: bottom;
    background-repeat: repeat-x;
    background-color: white;
}

footer
{
    background-image: url(../images2/WaterBG.jpg);
    background-size: cover;
    background-position: center center;
    color: white;
}

    footer .overlay
    {
        background-color: rgba(0,0,0,1);
    }

    footer a, footer h1, footer h2, footer h3, footer h4
    {
        color: white;
    }

    footer .upper
    {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        border-bottom: solid 1px white;
        margin: 0 20px;
        padding: 20px 0;
    }

        footer .upper .col
        {
            text-align: center;
            width: 25%;
        }

            footer .upper .col .container
            {
                display: inline-block;
                text-align: left;
            }

        footer .upper .gambling
        {
            font-size: 0.8em;
        }

        footer .upper h3
        {
            font-weight: 400;
            margin: 0;
        }

        footer .upper .gambling h3
        {
            margin: 0 0 5px 0;
        }


        footer .upper .icon
        {
            font-size: 2em;
            margin-right: 15px;
        }

    footer .tableCell
    {
        padding: 5px 6px 5px 0;
    }


    footer .lower
    {
        font-size: 0.8em;
        padding: 10px 20px;
    }

@media (max-width: 1100px)
{
    footer .upper .emailAddress
    {
        font-size: 0.8em;
    }
}

@media (max-width: 950px)
{
    footer .upper .col
    {
        width: 50%;
    }
}

@media (max-width: 500px)
{
    footer .upper .col
    {
        width: 100%;
        margin-bottom: 20px;
    }
}
/****************************************************** Sailing Boat ***************************************************/
@keyframes sailBackground
{
    0%
    {
        background-position-x: -81px;
    }

    100%
    {
        background-position-x: 2000px;
        background-position-x: calc(100% + 81px);
    }
}

.headerSail
{
    background-image: url(../images2/HeaderSail2024.png);
    background-repeat: no-repeat;
    background-position: -1000px 0;
    animation: sailBackground 40s linear infinite;
}

.footerSail
{
    background-image: url(../images2/FooterSail2024.png);
    background-repeat: no-repeat;
    background-position: -1000px 0;
    animation: sailBackground 40s linear infinite;
    height: 48px;
}
/*******************************************************************************************************/

.lightGreyBackground
{
    background-color: var(--lightGrey);
}
.lightGoldBackground
{
    background-color: var(--lightGold);
}